Bug 447824 - [CRM#1828852] After update from Satellite 5.0.1 to 5.0.2 Kickstart URLs no longer work
[CRM#1828852] After update from Satellite 5.0.1 to 5.0.2 Kickstart URLs no lo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
502
All Linux
urgent Severity high
: ---
: ---
Assigned To: Clifford Perry
Brandon Perkins
: Regression
Depends On:
Blocks: 429319 456733
  Show dependency treegraph
 
Reported: 2008-05-21 18:48 EDT by Issue Tracker
Modified: 2010-10-22 21:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat502
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 21:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2008-05-21 18:48:50 EDT
Escalated to Bugzilla from IssueTracker
Comment 11 Clifford Perry 2008-05-22 22:36:45 EDT
Confirm works:
http://rlx-1-12.rhndev.redhat.com/kickstart/ks/label/mmccune-rhel4-u5-guest
http://rlx-1-12.rhndev.redhat.com/kickstart/ks/label/rhel5-guest
http://rlx-1-12.rhndev.redhat.com/kickstart/ks/label/wibble

Then:
up2date -uf
service rhn-satellite restart

then - above links fail...confirm bug/issue... diff shows this:

[root@rlx-1-12 ~]# diff -u /etc/httpd/conf/rhnweb.conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhnweb.conf
--- /etc/httpd/conf/rhnweb.conf 2008-04-07 22:55:22.000000000 -0400
+++ /etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhnweb.conf       
2008-04-22 12:06:42.000000000 -0400
@@ -33,6 +33,7 @@
   JkMount /*.do ajp13
   JkMount /*.jsp ajp13
   JkHTTPSIndicator HTTPS
+  JkOptions +ForwardURICompat
 </IfDefine>
 
 RedirectMatch ^/renew/.* http://rhn.redhat.com
[root@rlx-1-12 ~]#

So, now lets deploy the config file:

[root@rlx-1-12 ~]# /usr/bin/satcon-deploy-tree.pl
--source=/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf --dest=/etc/httpd/conf
--conf=/etc/sysconfig/rhn-satellite-prep/satellite-local-rules.conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf -> /etc/httpd/conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhnweb.conf ->
/etc/httpd/conf/rhnweb.conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/startup.pl ->
/etc/httpd/conf/startup.pl
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/httpd.conf ->
/etc/httpd/conf/httpd.conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/satidmap.pl ->
/etc/httpd/conf/satidmap.pl
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/workers.properties ->
/etc/httpd/conf/workers.properties
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhn -> /etc/httpd/conf/rhn
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhn/rhn_monitoring.conf ->
/etc/httpd/conf/rhn/rhn_monitoring.conf
Unsubstituted Tags:
[root@rlx-1-12 ~]# 
[root@rlx-1-12 ~]# diff -u /etc/httpd/conf/rhnweb.conf
/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf/rhnweb.conf
[root@rlx-1-12 ~]# 

Now restart services again...

service rhn-satellite restart

Reload above links - all work correctly. As such, we need to make it publicly
known of this issue and need to do:

Backup configs
1) mkdir /etc/sysconfig/rhn/backup-502/; cp -avf /etc/httpd/conf/
/etc/sysconfig/rhn/backup-502/

Upgrade
2) up2date -uf 

Deploy config files
3) /usr/bin/satcon-deploy-tree.pl
--source=/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf --dest=/etc/httpd/conf
--conf=/etc/sysconfig/rhn-satellite-prep/satellite-local-rules.conf

Restart services
4) service rhn-satellite restart

Done..


As such - this bug, should be transformed and used to track to ensure the
following is done

1) Internal email of issue sent

2) External message

3) Kbase article 

4) Can we get this added to a revised and re-published Release Notes for 502. 

Cliff.  
Comment 13 John Ha 2008-05-23 12:51:57 EDT
Here's a suggested note for this issue, based on Cliff's email to the public
lists and Brandon's email to me this morning:

 A missing configuration option in the /etc/httpd/conf/rhnweb.conf file
 that prevents Kickstart profiles and Provisioning from functioning
 properly has been discovered in RHN Satellite 5.0.2.

 To woraround this issue, perform the following steps (note, if
 you have already upgraded to RHN Satellite 5.0.2, then disregard step 2):

  1) Backup your current configuration files:

 mkdir /etc/sysconfig/rhn/backup-502; cp -avf /etc/httpd/conf/
/etc/sysconfig/rhn/backup-502/

  2) Upgrade to RHN Satellite 5.0.2 if you have not already done so:

 up2date -l
 up2date -uf

  3) Deploy the configuration files:

 /usr/bin/satcon-deploy-tree.pl \
 --source=/etc/sysconfig/rhn-satellite-prep/etc/httpd/conf \
 --dest=/etc/httpd/conf \
 --conf=/etc/sysconfig/rhn-satellite-prep/satellite-local-rules.conf

  4) Restart Satellite services:

 service rhn-satellite restart

Let me know if that looks good.

Note You need to log in before you can comment on or make changes to this bug.